-------------------------------------------------------------------
-------------------------------------------------------------------
-- Title:           Holic Bot                                    --
-- Author:          Elverion                                     --
-- Date:            Oct. 13, 2008                                --
-- Requirements:    MicroMacro v0.98                             --
-- License:         Public Domain                                --
-------------------------------------------------------------------
-------------------------------------------------------------------
-- This script is public domain. You may use it in any way you   --
-- find appropriate without restriction. This includes, but is   --
-- not limited to, modification and distribution, whether it be  --
-- commercial or not.                                            --
-------------------------------------------------------------------
-------------------------------------------------------------------


-- Class skills
SKILL_BATTLECRY = skillInfo("Battle Cry", 2*60, 1.5, 77, bit.OR(REQUIREMENT_NOCOMBAT, REQUIREMENT_MANALOW));

SKILL_ARTOFMARTIAL3 = skillInfo("Art of Martial III", 40, 1.5, 54);
SKILL_ARTOFHSIEN1 = skillInfo("Art of Hsien I", 29, 1.5, 77);

SKILL_FISTBLOW7 = skillInfo("Fist Blow VII", 16, 1.5, 63);

SKILL_IMPACT4 = skillInfo("Impact IV", 32, 1.5, 68);



SKILL_MEDITATION1 = skillInfo("Meditation 1", 7, 1.5, 0, bit.OR(REQUIREMENT_NOCOMBAT, REQUIREMENT_MANALOW), TARGET_SELF);

SKILL_SPIRITOFCURE4 = skillInfo("Spirit of Cure IV", 2*60, 1.5, 76, REQUIREMENT_NOCOMBAT);
SKILL_SPIRITOFCURE5 = skillInfo("Spirit of Cure V", 2*60, 1.5, 105, REQUIREMENT_NOCOMBAT);

SKILL_INTENSIFYREGENERATION1 = skillInfo("Intensify Regeneration I", 3*60+2, 1.5, 88, bit.OR(REQUIREMENT_NOCOMBAT, REQUIREMENT_HURT), TARGET_SELF);

SKILL_ELASTICFIST4 = skillInfo("Elastic Fist IV", 20*60, 1.5, 95, REQUIREMENT_NOCOMBAT);

SKILL_REINFORCEBODY4 = skillInfo("Reinforce Body IV", 20*60, 1.5, 170, REQUIREMENT_NOCOMBAT);

SKILL_FISTBLOW7 = skillInfo("Fist Blow VII", 16, 1.5, 63);


-- Knuckle skills
SKILL_VITALSTING1 = skillInfo("Vital Sting I", 22, 1.5, 10);
SKILL_VITALSTING2 = skillInfo("Vital Sting II", 22, 1.5, 17);
SKILL_VITALSTING3 = skillInfo("Vital Sting III", 22, 2.0, 25);
SKILL_VITALSTING4 = skillInfo("Vital Sting IV", 22, 2.5, 34);
SKILL_VITALSTING5 = skillInfo("Vital Sting V", 22, 3.0, 44);
SKILL_VITALSTING6 = skillInfo("Vital Sting VI", 22, 3.5, 56);
SKILL_VITALSTING7 = skillInfo("Vital Sting VII", 22, 4.5, 70);


-- One-hander skills
SKILL_BLUNTNAIL1 = skillInfo("Blunt Nail I", 22, 1.5, 12);
SKILL_BLUNTNAIL2 = skillInfo("BLUNTNAIL II", 22, 1.5, 19);
SKILL_BLUNTNAIL3 = skillInfo("BLUNTNAIL III", 22, 2.0, 27);
SKILL_BLUNTNAIL4 = skillInfo("BLUNTNAIL IV", 22, 2.5, 37);
SKILL_BLUNTNAIL5 = skillInfo("BLUNTNAIL V", 22, 3.0, 48);
SKILL_BLUNTNAIL6 = skillInfo("BLUNTNAIL VI", 22, 3.5, 61);
SKILL_BLUNTNAIL7 = skillInfo("BLUNTNAIL VII", 22, 4.5, 75);


-- Two-hander skills
SKILL_MOUNTAINSWING1 = skillInfo("Mountain Swing I", 22, 1.5, 13);
SKILL_MOUNTAINSWING2 = skillInfo("Mountain Swing II", 22, 1.5, 20);
SKILL_MOUNTAINSWING3 = skillInfo("Mountain Swing III", 22, 2.0, 29);
SKILL_MOUNTAINSWING4 = skillInfo("Mountain Swing IV", 22, 2.5, 39);
SKILL_MOUNTAINSWING5 = skillInfo("Mountain Swing V", 22, 3.0, 50);
SKILL_MOUNTAINSWING6 = skillInfo("Mountain Swing VI", 22, 3.5, 63);
SKILL_MOUNTAINSWING7 = skillInfo("Mountain Swing VII", 22, 4.5, 77);