-------------------------------------------------------------------
-------------------------------------------------------------------
-- Title:           Holic Bot                                    --
-- Author:          Elverion                                     --
-- Date:            Oct. 13, 2008                                --
-- Requirements:    MicroMacro v0.98                             --
-- License:         Public Domain                                --
-------------------------------------------------------------------
-------------------------------------------------------------------
-- This script is public domain. You may use it in any way you   --
-- find appropriate without restriction. This includes, but is   --
-- not limited to, modification and distribution, whether it be  --
-- commercial or not.                                            --
-------------------------------------------------------------------
-------------------------------------------------------------------

-----------------------------------------------------------------------------------------
-- The percent of your HP/MP that is considered "low" and you should use a potion or heal
-- Default values: 50  (50%)
-----------------------------------------------------------------------------------------
HPLowPercent = 35;
MPLowPercent = 10;


-----------------------------------------------------------------------------------------
-- Skills. See database/skills_<yourclass>.lua for a full skill list.
-----------------------------------------------------------------------------------------

addSkill(SKILL_ARTOFHSIEN1, key.VK_1);
addSkill(SKILL_FISTBLOW7, key.VK_2);
addSkill(SKILL_IMPACT4, key.VK_3);
addSkill(SKILL_MOUNTAINSWING6, key.VK_4);
addSkill(SKILL_ARTOFMARTIAL3, key.VK_5);
addSkill(SKILL_MEDITATION1, key.VK_9);
addSkill(SKILL_SPIRITOFCURE5, key.VK_0);
addSkill(SKILL_ELASTICFIST4, key.VK_MINUS);
addSkill(SKILL_REINFORCEBODY4, key.VK_PLUS);


-----------------------------------------------------------------------------------------
-- Movement options... movementType should be either MOVEMENT_WANDER or MOVEMENT_WAYPOINT.
-- Use MOVEMENT_WANDER to walk around in a restricted area (you won't go too far)
-- or use MOVEMENT_WAYPOINT if you have a waypoint script for the area you're botting.
-----------------------------------------------------------------------------------------
movementType = MOVEMENT_WANDER; -- walk around in the local area where started.
-- NOTE: MOVEMENT_WANDER is the only movement type implemented right now.
-- so no point changing it.


wanderRadius = 35; -- free to walk around in a 200 yard radius
                    -- has no effect when using MOVEMENT_WAYPOINT


waypointAngleCorrection = 15; -- lower numbers = more straight path.
                              -- use a higher number if your camera twitches left and right a lot.


-----------------------------------------------------------------------------------------
-- Fighting and pickup options
-----------------------------------------------------------------------------------------
skipLooting = false;         -- whether to skip picking up items or not. true = skip, false = don't skip.
ignoreTime = 15;             -- if you haven't hurt the monster in X seconds, you're probably stuck, so ignore it.
antiKillStealEnabled = true; -- only fight monsters that you think are not already fighting.
antiKSTriggerThreshold = 10; -- number of attempts to find a new target before commiting to a (potential) KS.