-------------------------------------------------------------------
-------------------------------------------------------------------
-- Title:           Holic Bot                                    --
-- Author:          Elverion                                     --
-- Date:            Oct. 13, 2008                                --
-- Requirements:    MicroMacro v0.98                             --
-- License:         Public Domain                                --
-------------------------------------------------------------------
-------------------------------------------------------------------
-- This script is public domain. You may use it in any way you   --
-- find appropriate without restriction. This includes, but is   --
-- not limited to, modification and distribution, whether it be  --
-- commercial or not.                                            --
-------------------------------------------------------------------
-------------------------------------------------------------------

include("movement_base.lua");
include("movement_wander.lua");
include("movement_waypoint.lua");

-- Default values here. No reason to modify these.
proc = 0;
win = 0;

PlayerHP = 1000;
PlayerMaxHP = HP;

PlayerMP = 1000;
PlayerMaxMP = MP;

PlayerX = 500;
PlayerY = 500;
PlayerAngle = 0.0;
PlayerLevel = 1;
PlayerInCombat = false;

Target = 0;

-- Movement types. Don't change these! Look in optiona.lua instead!
MOVEMENT_NONE = 0;
MOVEMENT_WANDER = 1;
MOVEMENT_WAYPOINTS = 2;

WANDER_STARTX = 0;
WANDER_STARTY = 0;

-- Memory addresses and such...
game_exe = "HolicUSA.exe";
window_name = "HoLic Online";

startKey = key.VK_INSERT;
stopKey = key.VK_DELETE;


char_baseptr = 0x0095BAA0;

charHP_offset = 0x22c;
charMaxHP_offset = 0x238;
charMP_offset = 0x228;
charMaxMP_offset = 0x23c;
charAngle_offset = 0x5c; -- measured in radians. 0 -> 2 PI. 0 rad = facing straight "north". rotate right = increase.
charLevel_offset = 0x25c;

charXPosition_addr = 0x0096635C; -- float
charYPosition_addr = 0x00966364; -- float


target_baseptr = 0x0095B698;
target_offset = 0x4cc;
target_ptr = 0x0;       -- need to look this up at runtime.
targetID_offset = 0xD0; -- 0 if no target
targetHP_offset = 0x108; -- retains last value if no target (sometimes)
targetMaxHP_offset = 0x104; -- retains last value if no target (sometimes)
