-------------------------------------------------------------------
-------------------------------------------------------------------
-- Title:           Holic Bot                                    --
-- Author:          Elverion                                     --
-- Date:            Oct. 13, 2008                                --
-- Requirements:    MicroMacro v0.98                             --
-- License:         Public Domain                                --
-------------------------------------------------------------------
-------------------------------------------------------------------
-- This script is public domain. You may use it in any way you   --
-- find appropriate without restriction. This includes, but is   --
-- not limited to, modification and distribution, whether it be  --
-- commercial or not.                                            --
-------------------------------------------------------------------
-------------------------------------------------------------------


SKILL_CURE1 = skillInfo("Cure I", 5, 1, 24, REQUIREMENT_HURT, TARGET_SELF);
SKILL_CURE2 = skillInfo("Cure II", 5, 1, 77, REQUIREMENT_HURT, TARGET_SELF);
SKILL_CURE3 = skillInfo("Cure III", 5, 1, 157, REQUIREMENT_HURT, TARGET_SELF);

SKILL_CURA1 = skillInfo("Cura I", 12, 1, 234, REQUIREMENT_HURT); -- mana wrong, assuming higher
SKILL_CURA2 = skillInfo("Cura II", 12, 1, 234, REQUIREMENT_HURT);


SKILL_DIVINELIGHT1 = skillInfo("Divine Light 1", 10, 1, 12);

SKILL_DIVINEFLASH1 = skillInfo("Divine Flash 1", 16, 1, 106);

SKILL_SHININGSTRIKE1 = skillInfo("Shining Strike I", 10, 1, 12);
SKILL_SHININGSTRIKE2 = skillInfo("Shining Strike II", 10, 1, 32);
SKILL_SHININGSTRIKE3 = skillInfo("Shining Strike III", 10, 1, 61);
SKILL_SHININGSTRIKE4 = skillInfo("Shining Strike IV", 10, 1, 98);

SKILL_ABUNDANTPAIN1 = skillInfo("Abundant Pain I", 17, 1, 7);
SKILL_ABUNDANTPAIN2 = skillInfo("Abundant Pain II", 17, 1, 18);
SKILL_ABUNDANTPAIN3 = skillInfo("Abundant Pain III", 17, 1, 33);

SKILL_TOXICOFLIGHT1 = skillInfo("Toxic of Light I", 20, 1, 11);
SKILL_TOXICOFLIGHT2 = skillInfo("Toxic of Light II", 20, 1, 26);
SKILL_TOXICOFLIGHT3 = skillInfo("Toxic of Light III", 20, 1, 43);
SKILL_TOXICOFLIGHT4 = skillInfo("Toxic of Light IV", 20, 1, 67);

SKILL_BURNINGLIGHT1 = skillInfo("Burning Light I", 14, 1, 11);
SKILL_BURNINGLIGHT2 = skillInfo("Burning Light II", 14, 1, 21);
SKILL_BURNINGLIGHT3 = skillInfo("Burning Light III", 14, 1, 35);
SKILL_BURNINGLIGHT4 = skillInfo("Burning Light IV", 14, 1, 27);


SKILL_REGENERATION1 = skillInfo("Regeneration I", 25, 1, 36, REQUIREMENT_HURT, TARGET_SELF);
SKILL_REGENERATION2 = skillInfo("Regeneration II", 25, 1, 104, REQUIREMENT_HURT, TARGET_SELF);

SKILL_BURNINGLIGHT1 = skillInfo("Burning Light I", 14, 1, 11);

SKILL_SOULBARRIER1 = skillInfo("Soul Barrier 1", 3*60+2, 1, 153);

SKILL_PURIFY = skillInfo("Purify", 10, 1.5, 81, REQUIREMENT_NOCOMBAT, TARGET_SELF);


-- Strenghen
SKILL_GROUPEARTHBARRIER = skillInfo("Group Earth Barrier", 20*60, 1, 59);
SKILL_MISTON = skillInfo("Mist On", 30, 1, 61, REQUIREMENT_NONE, TARGET_SELF);
SKILL_DEODORIZE = skillInfo("Deodorize", 60*1.5 + 2, 1, 85);
SKILL_REINFORCEHOLINESS = skillInfo("Reinforce Holiness", 20*60, 1, 74, REQUIREMENT_NOCOMBAT);
SKILL_GROUPFIREBARRIER = skillInfo("Group Fire Barrier", 20*60, 1, 171, REQUIREMENT_NOCOMBAT);
SKILL_EVASION = skillInfo("Evasion", 20*60, 1, 97, REQUIREMENT_NONE, TARGET_SELF);
SKILL_IMMUNITY = skillInfo("Immunity", 20*60, 1, 106, REQUIREMENT_NOCOMBAT, TARGET_SELF);
SKILL_COLDBARRIER2 = skillInfo("Cold Barrier II", 20*60, 1, 220);
SKILL_AEROBARRER2 = skillInfo("Aero Barrer II", 20*60, 1, 275);
SKILL_CLEANSE = skillInfo("Cleanse", 20*60, 1, 138, REQUIREMENT_NOCOMBAT, TARGET_SELF);
SKILL_INVISIBLE = skillInfo("Invisible", 60*1.5 + 2, 1, 157, REQUIREMENT_NOCOMBAT);
SKILL_FLASHOFPROTECTION2 = skillInfo("Flash of Protection II", 20*60, 1, 305);



-- Weaken
SKILL_DROOP1 = skillInfo("Droop 1", 47, 1, 17);
SKILL_PARALYZE = skillInfo("PARALYZE", 10, 1, 31);
SKILL_BLIND = skillInfo("Blind", 10, 1, 31);
SKILL_SLOW = skillInfo("Slow", 8, 1, 73);
SKILL_SILENCE = skillInfo("Silence", 47, 1, 85);
SKILL_SOULTEMPTATION1 = skillInfo("Soul Temptation 1", 22, 1, 100);
SKILL_SLEEP1 = skillInfo("Sleep 1", 47, 1, 20);
SKILL_DECELETE = skillInfo("Decelete", 47, 1, 126);